Can't upgrade from 2.3.1 to 2.3.2



  • Ive tried to upgrade from the web interface/ssh but it seems to stay at 2.3.1

    login as: admin
    Using keyboard-interactive authentication.
    Password for admin@pfSense.localdomain:
    *** Welcome to pfSense 2.3.1-RELEASE-p5 (i386 full-install) on pfSense ***
    
     WAN (wan)       -> re0        -> v4/DHCP4: xxx.xxx.xxx.xxx/23
     LAN (lan)       -> re1        -> v4: 192.168.1.1/24
    
     0) Logout (SSH only)                  9) pfTop
     1) Assign Interfaces                 10) Filter Logs
     2) Set interface(s) IP address       11) Restart webConfigurator
     3) Reset webConfigurator password    12) pfSense Developer Shell
     4) Reset to factory defaults         13) Update from console
     5) Reboot system                     14) Disable Secure Shell (sshd)
     6) Halt system                       15) Restore recent configuration
     7) Ping host                         16) Restart PHP-FPM
     8) Shell
    
    Enter an option: 8
    
    [2.3.1-RELEASE][admin@pfSense.localdomain]/root: pkg update; pkg upgrade pkg
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    Checking integrity... done (0 conflicting)
    Your packages are up to date.
    [2.3.1-RELEASE][admin@pfSense.localdomain]/root: pfSense-upgrade -d
    >>> Updating repositories metadata...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    >>> Unlocking package pfSense-kernel-pfSense_wrap_vga...
    Unlocking pfSense-kernel-pfSense_wrap_vga-2.3.2
    The following 64 package(s) will be affected (of 0 checked):
    
    Installed packages to be REMOVED:
            dnsmasq-devel-2.76.0test12
    
    New packages to be INSTALLED:
            dnsmasq: 2.76,1 [pfSense]
    
    Installed packages to be UPGRADED:
            xinetd: 2.3.15_1 -> 2.3.15_2 [pfSense]
            unbound: 1.5.8 -> 1.5.9 [pfSense]
            strongswan: 5.4.0 -> 5.5.0 [pfSense]
            sqlite3: 3.11.1 -> 3.13.0 [pfSense]
            smartmontools: 6.4_2 -> 6.5_1 [pfSense]
            rrdtool: 1.5.5_1 -> 1.6.0_1 [pfSense]
            relayd: 5.5.20140810_1 -> 5.5.20140810_2 [pfSense]
            php56-zlib: 5.6.22 -> 5.6.23 [pfSense]
            php56-xmlwriter: 5.6.22 -> 5.6.23 [pfSense]
            php56-xmlreader: 5.6.22 -> 5.6.23 [pfSense]
            php56-xml: 5.6.22 -> 5.6.23 [pfSense]
            php56-tokenizer: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvshm: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvsem: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvmsg: 5.6.22 -> 5.6.23 [pfSense]
            php56-sqlite3: 5.6.22 -> 5.6.23 [pfSense]
            php56-sockets: 5.6.22 -> 5.6.23 [pfSense]
            php56-simplexml: 5.6.22 -> 5.6.23 [pfSense]
            php56-shmop: 5.6.22 -> 5.6.23 [pfSense]
            php56-session: 5.6.22 -> 5.6.23 [pfSense]
            php56-readline: 5.6.22 -> 5.6.23 [pfSense]
            php56-posix: 5.6.22 -> 5.6.23 [pfSense]
            php56-pdo_sqlite: 5.6.22 -> 5.6.23 [pfSense]
            php56-pdo: 5.6.22 -> 5.6.23 [pfSense]
            php56-pcntl: 5.6.22 -> 5.6.23 [pfSense]
            php56-openssl: 5.6.22 -> 5.6.23 [pfSense]
            php56-opcache: 5.6.22 -> 5.6.23_1 [pfSense]
            php56-mcrypt: 5.6.22 -> 5.6.23 [pfSense]
            php56-mbstring: 5.6.22 -> 5.6.23 [pfSense]
            php56-ldap: 5.6.22 -> 5.6.23 [pfSense]
            php56-json: 5.6.22 -> 5.6.23 [pfSense]
            php56-hash: 5.6.22 -> 5.6.23 [pfSense]
            php56-gettext: 5.6.22 -> 5.6.23 [pfSense]
            php56-filter: 5.6.22 -> 5.6.23 [pfSense]
            php56-dom: 5.6.22 -> 5.6.23 [pfSense]
            php56-curl: 5.6.22 -> 5.6.23 [pfSense]
            php56-ctype: 5.6.22 -> 5.6.23 [pfSense]
            php56-bz2: 5.6.22 -> 5.6.23 [pfSense]
            php56-bcmath: 5.6.22 -> 5.6.23 [pfSense]
            php56: 5.6.22 -> 5.6.23 [pfSense]
            php-xdebug: 2.2.5 -> 2.4.0 [pfSense]
            pfSense-default-config: 2.3.1_5 -> 2.3.2 [pfSense-core]
            pfSense-base: 2.3.1_5 -> 2.3.2 [pfSense-core]
            pfSense-Status_Monitoring: 1.4.2_1 -> 1.4.4_2 [pfSense]
            pfSense: 2.3.1_5 -> 2.3.2 [pfSense]
            perl5: 5.20.3_12 -> 5.20.3_13 [pfSense]
            pecl-rrd: 1.1.3_2 -> 1.1.3_3 [pfSense]
            pecl-radius: 1.2.7 -> 1.3.0 [pfSense]
            pcre: 8.38_1 -> 8.39 [pfSense]
            nginx: 1.8.1,2 -> 1.10.1,2 [pfSense]
            luajit: 2.0.4 -> 2.0.4_1 [pfSense]
            libssh2: 1.6.0_1,2 -> 1.7.0,2 [pfSense]
            libedit: 3.1.20150325_2 -> 3.1.20150325_2,1 [pfSense]
            isc-dhcp43-server: 4.3.3P1_1 -> 4.3.4 [pfSense]
            isc-dhcp43-relay: 4.3.3P1_1 -> 4.3.4_1 [pfSense]
            isc-dhcp43-client: 4.3.3P1_1 -> 4.3.4 [pfSense]
            ipmitool: 1.8.15_1 -> 1.8.17_1 [pfSense]
            filterlog: 0.1_2 -> 0.1_4 [pfSense]
            expat: 2.1.1_1 -> 2.1.1_2 [pfSense]
            curl: 7.48.0_1 -> 7.49.1 [pfSense]
            ca_root_nss: 3.22.2 -> 3.25 [pfSense]
            bind-tools: 9.10.3P4 -> 9.10.4P2 [pfSense]
    
    Number of packages to be removed: 1
    Number of packages to be installed: 1
    Number of packages to be upgraded: 62
    
    **** WARNING ****
    Reboot will be required!!
    Proceed with upgrade? (y/N) y
    >>> Downloading upgrade packages...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    Checking for upgrades (62 candidates): .......... done
    Processing candidates (62 candidates): .......... done
    Checking integrity... done (1 conflicting)
      - dnsmasq-2.76,1 [pfSense] conflicts with dnsmasq-devel-2.76.0test12 [installed] on /usr/local/sbin/dnsmasq
    Checking integrity... done (0 conflicting)
    The following 64 package(s) will be affected (of 0 checked):
    
    Installed packages to be REMOVED:
            dnsmasq-devel-2.76.0test12
    
    New packages to be INSTALLED:
            dnsmasq: 2.76,1 [pfSense]
    
    Installed packages to be UPGRADED:
            xinetd: 2.3.15_1 -> 2.3.15_2 [pfSense]
            unbound: 1.5.8 -> 1.5.9 [pfSense]
            strongswan: 5.4.0 -> 5.5.0 [pfSense]
            sqlite3: 3.11.1 -> 3.13.0 [pfSense]
            smartmontools: 6.4_2 -> 6.5_1 [pfSense]
            rrdtool: 1.5.5_1 -> 1.6.0_1 [pfSense]
            relayd: 5.5.20140810_1 -> 5.5.20140810_2 [pfSense]
            php56-zlib: 5.6.22 -> 5.6.23 [pfSense]
            php56-xmlwriter: 5.6.22 -> 5.6.23 [pfSense]
            php56-xmlreader: 5.6.22 -> 5.6.23 [pfSense]
            php56-xml: 5.6.22 -> 5.6.23 [pfSense]
            php56-tokenizer: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvshm: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvsem: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvmsg: 5.6.22 -> 5.6.23 [pfSense]
            php56-sqlite3: 5.6.22 -> 5.6.23 [pfSense]
            php56-sockets: 5.6.22 -> 5.6.23 [pfSense]
            php56-simplexml: 5.6.22 -> 5.6.23 [pfSense]
            php56-shmop: 5.6.22 -> 5.6.23 [pfSense]
            php56-session: 5.6.22 -> 5.6.23 [pfSense]
            php56-readline: 5.6.22 -> 5.6.23 [pfSense]
            php56-posix: 5.6.22 -> 5.6.23 [pfSense]
            php56-pdo_sqlite: 5.6.22 -> 5.6.23 [pfSense]
            php56-pdo: 5.6.22 -> 5.6.23 [pfSense]
            php56-pcntl: 5.6.22 -> 5.6.23 [pfSense]
            php56-openssl: 5.6.22 -> 5.6.23 [pfSense]
            php56-opcache: 5.6.22 -> 5.6.23_1 [pfSense]
            php56-mcrypt: 5.6.22 -> 5.6.23 [pfSense]
            php56-mbstring: 5.6.22 -> 5.6.23 [pfSense]
            php56-ldap: 5.6.22 -> 5.6.23 [pfSense]
            php56-json: 5.6.22 -> 5.6.23 [pfSense]
            php56-hash: 5.6.22 -> 5.6.23 [pfSense]
            php56-gettext: 5.6.22 -> 5.6.23 [pfSense]
            php56-filter: 5.6.22 -> 5.6.23 [pfSense]
            php56-dom: 5.6.22 -> 5.6.23 [pfSense]
            php56-curl: 5.6.22 -> 5.6.23 [pfSense]
            php56-ctype: 5.6.22 -> 5.6.23 [pfSense]
            php56-bz2: 5.6.22 -> 5.6.23 [pfSense]
            php56-bcmath: 5.6.22 -> 5.6.23 [pfSense]
            php56: 5.6.22 -> 5.6.23 [pfSense]
            php-xdebug: 2.2.5 -> 2.4.0 [pfSense]
            pfSense-default-config: 2.3.1_5 -> 2.3.2 [pfSense-core]
            pfSense-base: 2.3.1_5 -> 2.3.2 [pfSense-core]
            pfSense-Status_Monitoring: 1.4.2_1 -> 1.4.4_2 [pfSense]
            pfSense: 2.3.1_5 -> 2.3.2 [pfSense]
            perl5: 5.20.3_12 -> 5.20.3_13 [pfSense]
            pecl-rrd: 1.1.3_2 -> 1.1.3_3 [pfSense]
            pecl-radius: 1.2.7 -> 1.3.0 [pfSense]
            pcre: 8.38_1 -> 8.39 [pfSense]
            nginx: 1.8.1,2 -> 1.10.1,2 [pfSense]
            luajit: 2.0.4 -> 2.0.4_1 [pfSense]
            libssh2: 1.6.0_1,2 -> 1.7.0,2 [pfSense]
            libedit: 3.1.20150325_2 -> 3.1.20150325_2,1 [pfSense]
            isc-dhcp43-server: 4.3.3P1_1 -> 4.3.4 [pfSense]
            isc-dhcp43-relay: 4.3.3P1_1 -> 4.3.4_1 [pfSense]
            isc-dhcp43-client: 4.3.3P1_1 -> 4.3.4 [pfSense]
            ipmitool: 1.8.15_1 -> 1.8.17_1 [pfSense]
            filterlog: 0.1_2 -> 0.1_4 [pfSense]
            expat: 2.1.1_1 -> 2.1.1_2 [pfSense]
            curl: 7.48.0_1 -> 7.49.1 [pfSense]
            ca_root_nss: 3.22.2 -> 3.25 [pfSense]
            bind-tools: 9.10.3P4 -> 9.10.4P2 [pfSense]
    
    Number of packages to be removed: 1
    Number of packages to be installed: 1
    Number of packages to be upgraded: 62
    Upgrade is complete.  Rebooting in 10 seconds.
    
    Broadcast Message from admin@pfSense.localdomain
            (/dev/pts/0) at 10:25 CEST...
    
    Upgrade is complete.  Rebooting in 10 seconds.
    
    >>> Locking package pfSense-kernel-pfSense_wrap_vga...
    Locking pfSense-kernel-pfSense_wrap_vga-2.3.2
    [2.3.1-RELEASE][admin@pfSense.localdomain]/root: Shutdown NOW!
    shutdown: [pid 31481]
    
    *** FINAL System shutdown message from admin@pfSense.localdomain ***
    
    System going down IMMEDIATELY
    
    System shutdown time has arrived
    
    

  • Rebel Alliance Developer Netgate

    I don't see any errors in the output. It goes through all of that and still boots into 2.3.1?

    Check which slice you're booting from (look at the output of "mount") and check again after the update.

    If it's the same slice before and after then it isn't switching boot slices. Try booting from the other slice from the console menu manually to see what happens.



  • I have a few pfSense boxes that are failing the upgrade from 2.3.1-RELEASE-p1 to 2.3.2.

    Here is the output :

    
    /root: pfSense-upgrade -d
    ....>>> Updating repositories metadata...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    **** WARNING ****
    Duplicate slice required!!
    
    Before starting the upgrade process, the currently mounted nanobsd partition
    needs to be cloned to the secondary partition, where the update will happen
    
    After installation a reboot will be required to switch partition.
    
    Proceed with upgrade? (y/N) y
    >>> Cleaning secondary partition...
    1+0 records in
    1+0 records out
    1048576 bytes transferred in 0.127751 secs (8207960 bytes/sec)
    >>> Duplicating current slice...
    30034+1 records in
    30034+1 records out
    1968349696 bytes transferred in 178.985462 secs (10997260 bytes/sec)
    >>> Restoring slice label...
    >>> Testing duplicated partition integrity...
    ** /dev/ufs/pfsense0
    ** Last Mounted on /
    ** Phase 1 - Check Blocks and Sizes
    ** Phase 2 - Check Pathnames
    ** Phase 3 - Check Connectivity
    ** Phase 4 - Check Reference Counts
    ** Phase 5 - Check Cyl groups
    16113 files, 993571 used, 2786457 free (2601 frags, 347982 blocks, 0.1% fragmentation)
    
    ***** FILE SYSTEM IS CLEAN *****
    >>> Mounting second partition to run upgrade...
    >>> Unlocking package pfSense-kernel-pfSense_wrap...
    Unlocking pfSense-kernel-pfSense_wrap-2.3.1_1
    >>> Downloading upgrade packages...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    Checking for upgrades (65 candidates): .......... done
    Processing candidates (65 candidates): .......... done
    The following 66 package(s) will be affected (of 0 checked):
    
    New packages to be INSTALLED:
            dnsmasq: 2.76,1 [pfSense]
    
    Installed packages to be UPGRADED:
            xinetd: 2.3.15_1 -> 2.3.15_2 [pfSense]
            unbound: 1.5.8 -> 1.5.9 [pfSense]
            strongswan: 5.4.0 -> 5.5.0 [pfSense]
            sqlite3: 3.11.1 -> 3.13.0 [pfSense]
            smartmontools: 6.4_2 -> 6.5_1 [pfSense]
            rrdtool: 1.5.5_1 -> 1.6.0_1 [pfSense]
            relayd: 5.5.20140810_1 -> 5.5.20140810_2 [pfSense]
            python27: 2.7.11_2 -> 2.7.12 [pfSense]
            php56-zlib: 5.6.22 -> 5.6.23 [pfSense]
            php56-xmlwriter: 5.6.22 -> 5.6.23 [pfSense]
            php56-xmlreader: 5.6.22 -> 5.6.23 [pfSense]
            php56-xml: 5.6.22 -> 5.6.23 [pfSense]
            php56-tokenizer: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvshm: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvsem: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvmsg: 5.6.22 -> 5.6.23 [pfSense]
            php56-sqlite3: 5.6.22 -> 5.6.23 [pfSense]
            php56-sockets: 5.6.22 -> 5.6.23 [pfSense]
            php56-simplexml: 5.6.22 -> 5.6.23 [pfSense]
            php56-shmop: 5.6.22 -> 5.6.23 [pfSense]
            php56-session: 5.6.22 -> 5.6.23 [pfSense]
            php56-readline: 5.6.22 -> 5.6.23 [pfSense]
            php56-posix: 5.6.22 -> 5.6.23 [pfSense]
            php56-pdo_sqlite: 5.6.22 -> 5.6.23 [pfSense]
            php56-pdo: 5.6.22 -> 5.6.23 [pfSense]
            php56-pcntl: 5.6.22 -> 5.6.23 [pfSense]
            php56-openssl: 5.6.22 -> 5.6.23 [pfSense]
            php56-opcache: 5.6.22 -> 5.6.23_1 [pfSense]
            php56-mcrypt: 5.6.22 -> 5.6.23 [pfSense]
            php56-mbstring: 5.6.22 -> 5.6.23 [pfSense]
            php56-ldap: 5.6.22 -> 5.6.23 [pfSense]
            php56-json: 5.6.22 -> 5.6.23 [pfSense]
            php56-hash: 5.6.22 -> 5.6.23 [pfSense]
            php56-gettext: 5.6.22 -> 5.6.23 [pfSense]
            php56-filter: 5.6.22 -> 5.6.23 [pfSense]
            php56-dom: 5.6.22 -> 5.6.23 [pfSense]
            php56-curl: 5.6.22 -> 5.6.23 [pfSense]
            php56-ctype: 5.6.22 -> 5.6.23 [pfSense]
            php56-bz2: 5.6.22 -> 5.6.23 [pfSense]
            php56-bcmath: 5.6.22 -> 5.6.23 [pfSense]
            php56: 5.6.22 -> 5.6.23 [pfSense]
            php-xdebug: 2.2.5 -> 2.4.0 [pfSense]
            pfSense-rc: 2.3.1_1 -> 2.3.2 [pfSense-core]
            pfSense-kernel-pfSense_wrap: 2.3.1_1 -> 2.3.2 [pfSense-core]
            pfSense-default-config-serial: 2.3.1_1 -> 2.3.2 [pfSense-core]
            pfSense-base-nanobsd: 2.3.1_1 -> 2.3.2 [pfSense-core]
            pfSense-Status_Monitoring: 1.4.2_1 -> 1.4.4_2 [pfSense]
            pfSense: 2.3.1_1 -> 2.3.2 [pfSense]
            perl5: 5.20.3_12 -> 5.20.3_13 [pfSense]
            pecl-rrd: 1.1.3_2 -> 1.1.3_3 [pfSense]
            pecl-radius: 1.2.7 -> 1.3.0 [pfSense]
            pcre: 8.38_1 -> 8.39 [pfSense]
            nginx: 1.8.1,2 -> 1.10.1,2 [pfSense]
            libssh2: 1.6.0_1,2 -> 1.7.0,2 [pfSense]
            libedit: 3.1.20150325_2 -> 3.1.20150325_2,1 [pfSense]
            isc-dhcp43-server: 4.3.3P1_1 -> 4.3.4 [pfSense]
            isc-dhcp43-relay: 4.3.3P1_1 -> 4.3.4_1 [pfSense]
            isc-dhcp43-client: 4.3.3P1_1 -> 4.3.4 [pfSense]
            ipmitool: 1.8.15_1 -> 1.8.17_1 [pfSense]
            gettext-runtime: 0.19.7 -> 0.19.8.1 [pfSense]
            filterlog: 0.1_2 -> 0.1_4 [pfSense]
            expat: 2.1.1_1 -> 2.1.1_2 [pfSense]
            curl: 7.48.0_1 -> 7.49.1 [pfSense]
            ca_root_nss: 3.22.2 -> 3.25 [pfSense]
            bind-tools: 9.10.3P4 -> 9.10.4P2 [pfSense]
    
    Number of packages to be installed: 1
    Number of packages to be upgraded: 65
    
    The process will require 2 MiB more space.
    75 MiB to be downloaded.
    Fetching xinetd-2.3.15_2.txz: ........ done
    Fetching unbound-1.5.9.txz: .......... done
    Fetching strongswan-5.5.0.txz: .......... done
    Fetching sqlite3-3.13.0.txz: .......... done
    Fetching smartmontools-6.5_1.txz: .......... done
    Fetching rrdtool-1.6.0_1.txz: .......... done
    Fetching relayd-5.5.20140810_2.txz: .......... done
    Fetching python27-2.7.12.txz: .......... done
    Fetching php56-zlib-5.6.23.txz: .. done
    Fetching php56-xmlwriter-5.6.23.txz: .. done
    Fetching php56-xmlreader-5.6.23.txz: .. done
    Fetching php56-xml-5.6.23.txz: .. done
    Fetching php56-tokenizer-5.6.23.txz: . done
    Fetching php56-sysvshm-5.6.23.txz: . done
    Fetching php56-sysvsem-5.6.23.txz: . done
    Fetching php56-sysvmsg-5.6.23.txz: . done
    Fetching php56-sqlite3-5.6.23.txz: .. done
    Fetching php56-sockets-5.6.23.txz: .... done
    Fetching php56-simplexml-5.6.23.txz: ... done
    Fetching php56-shmop-5.6.23.txz: . done
    Fetching php56-session-5.6.23.txz: ... done
    Fetching php56-readline-5.6.23.txz: .. done
    Fetching php56-posix-5.6.23.txz: . done
    Fetching php56-pdo_sqlite-5.6.23.txz: .. done
    Fetching php56-pdo-5.6.23.txz: ..... done
    Fetching php56-pcntl-5.6.23.txz: .. done
    Fetching php56-openssl-5.6.23.txz: ..... done
    Fetching php56-opcache-5.6.23_1.txz: ...... done
    Fetching php56-mcrypt-5.6.23.txz: .. done
    Fetching php56-mbstring-5.6.23.txz: .......... done
    Fetching php56-ldap-5.6.23.txz: .. done
    Fetching php56-json-5.6.23.txz: .. done
    Fetching php56-hash-5.6.23.txz: .......... done
    Fetching php56-gettext-5.6.23.txz: . done
    Fetching php56-filter-5.6.23.txz: .. done
    Fetching php56-dom-5.6.23.txz: ..... done
    Fetching php56-curl-5.6.23.txz: ... done
    Fetching php56-ctype-5.6.23.txz: . done
    Fetching php56-bz2-5.6.23.txz: .. done
    Fetching php56-bcmath-5.6.23.txz: .. done
    Fetching php56-5.6.23.txz: .......... done
    Fetching php-xdebug-2.4.0.txz: ......... done
    Fetching pfSense-rc-2.3.2.txz: . done
    Fetching pfSense-kernel-pfSense_wrap-2.3.2.txz: .......... done
    Fetching pfSense-default-config-serial-2.3.2.txz: . done
    Fetching pfSense-base-nanobsd-2.3.2.txz: .......... done
    Fetching pfSense-Status_Monitoring-1.4.4_2.txz: .. done
    Fetching pfSense-2.3.2.txz: . done
    Fetching perl5-5.20.3_13.txz: .......... done
    Fetching pecl-rrd-1.1.3_3.txz: .. done
    Fetching pecl-radius-1.3.0.txz: ... done
    Fetching pcre-8.39.txz: .......... done
    Fetching nginx-1.10.1,2.txz: .......... done
    Fetching libssh2-1.7.0,2.txz: .......... done
    Fetching libedit-3.1.20150325_2,1.txz: .......... done
    Fetching isc-dhcp43-server-4.3.4.txz: .......... done
    Fetching isc-dhcp43-relay-4.3.4_1.txz: .......... done
    Fetching isc-dhcp43-client-4.3.4.txz: .......... done
    Fetching ipmitool-1.8.17_1.txz: .......... done
    Fetching gettext-runtime-0.19.8.1.txz: .......... done
    Fetching filterlog-0.1_4.txz: . done
    Fetching expat-2.1.1_2.txz: .......... done
    Fetching curl-7.49.1.txz: .......... done
    Fetching ca_root_nss-3.25.txz: .......... done
    Fetching bind-tools-9.10.4P2.txz: .......... done
    Fetching dnsmasq-2.76,1.txz: .......... done
    Checking integrity... done (1 conflicting)
      - dnsmasq-2.76,1 [pfSense] conflicts with dnsmasq-devel-2.76.0test12 [installed] on /usr/local/sbin/dnsmasq
    Checking integrity... done (0 conflicting)
    Conflicts with the existing packages have been found.
    One more solver iteration is needed to resolve them.
    The following 67 package(s) will be affected (of 0 checked):
    
    Installed packages to be REMOVED:
            dnsmasq-devel-2.76.0test12
    
    New packages to be INSTALLED:
            dnsmasq: 2.76,1 [pfSense]
    
    Installed packages to be UPGRADED:
            gettext-runtime: 0.19.7 -> 0.19.8.1 [pfSense]
            python27: 2.7.11_2 -> 2.7.12 [pfSense]
            perl5: 5.20.3_12 -> 5.20.3_13 [pfSense]
            pcre: 8.38_1 -> 8.39 [pfSense]
            expat: 2.1.1_1 -> 2.1.1_2 [pfSense]
            ca_root_nss: 3.22.2 -> 3.25 [pfSense]
            unbound: 1.5.8 -> 1.5.9 [pfSense]
            rrdtool: 1.5.5_1 -> 1.6.0_1 [pfSense]
            php56: 5.6.22 -> 5.6.23 [pfSense]
            curl: 7.48.0_1 -> 7.49.1 [pfSense]
            strongswan: 5.4.0 -> 5.5.0 [pfSense]
            sqlite3: 3.11.1 -> 3.13.0 [pfSense]
            php56-session: 5.6.22 -> 5.6.23 [pfSense]
            php56-pdo: 5.6.22 -> 5.6.23 [pfSense]
            php56-dom: 5.6.22 -> 5.6.23 [pfSense]
            pecl-rrd: 1.1.3_2 -> 1.1.3_3 [pfSense]
            libssh2: 1.6.0_1,2 -> 1.7.0,2 [pfSense]
            libedit: 3.1.20150325_2 -> 3.1.20150325_2,1 [pfSense]
            xinetd: 2.3.15_1 -> 2.3.15_2 [pfSense]
            smartmontools: 6.4_2 -> 6.5_1 [pfSense]
            relayd: 5.5.20140810_1 -> 5.5.20140810_2 [pfSense]
            php56-zlib: 5.6.22 -> 5.6.23 [pfSense]
            php56-xmlwriter: 5.6.22 -> 5.6.23 [pfSense]
            php56-xmlreader: 5.6.22 -> 5.6.23 [pfSense]
            php56-xml: 5.6.22 -> 5.6.23 [pfSense]
            php56-tokenizer: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvshm: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvsem: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvmsg: 5.6.22 -> 5.6.23 [pfSense]
            php56-sqlite3: 5.6.22 -> 5.6.23 [pfSense]
            php56-sockets: 5.6.22 -> 5.6.23 [pfSense]
            php56-simplexml: 5.6.22 -> 5.6.23 [pfSense]
            php56-shmop: 5.6.22 -> 5.6.23 [pfSense]
            php56-readline: 5.6.22 -> 5.6.23 [pfSense]
            php56-posix: 5.6.22 -> 5.6.23 [pfSense]
            php56-pdo_sqlite: 5.6.22 -> 5.6.23 [pfSense]
            php56-pcntl: 5.6.22 -> 5.6.23 [pfSense]
            php56-openssl: 5.6.22 -> 5.6.23 [pfSense]
            php56-opcache: 5.6.22 -> 5.6.23_1 [pfSense]
            php56-mcrypt: 5.6.22 -> 5.6.23 [pfSense]
            php56-mbstring: 5.6.22 -> 5.6.23 [pfSense]
            php56-ldap: 5.6.22 -> 5.6.23 [pfSense]
            php56-json: 5.6.22 -> 5.6.23 [pfSense]
            php56-hash: 5.6.22 -> 5.6.23 [pfSense]
            php56-gettext: 5.6.22 -> 5.6.23 [pfSense]
            php56-filter: 5.6.22 -> 5.6.23 [pfSense]
            php56-curl: 5.6.22 -> 5.6.23 [pfSense]
            php56-ctype: 5.6.22 -> 5.6.23 [pfSense]
            php56-bz2: 5.6.22 -> 5.6.23 [pfSense]
            php56-bcmath: 5.6.22 -> 5.6.23 [pfSense]
            php-xdebug: 2.2.5 -> 2.4.0 [pfSense]
            pfSense-rc: 2.3.1_1 -> 2.3.2 [pfSense-core]
            pfSense-Status_Monitoring: 1.4.2_1 -> 1.4.4_2 [pfSense]
            pecl-radius: 1.2.7 -> 1.3.0 [pfSense]
            nginx: 1.8.1,2 -> 1.10.1,2 [pfSense]
            isc-dhcp43-server: 4.3.3P1_1 -> 4.3.4 [pfSense]
            isc-dhcp43-relay: 4.3.3P1_1 -> 4.3.4_1 [pfSense]
            isc-dhcp43-client: 4.3.3P1_1 -> 4.3.4 [pfSense]
            ipmitool: 1.8.15_1 -> 1.8.17_1 [pfSense]
            filterlog: 0.1_2 -> 0.1_4 [pfSense]
            bind-tools: 9.10.3P4 -> 9.10.4P2 [pfSense]
            pfSense-kernel-pfSense_wrap: 2.3.1_1 -> 2.3.2 [pfSense-core]
            pfSense-default-config-serial: 2.3.1_1 -> 2.3.2 [pfSense-core]
            pfSense-base-nanobsd: 2.3.1_1 -> 2.3.2 [pfSense-core]
            pfSense: 2.3.1_1 -> 2.3.2 [pfSense]
    
    Number of packages to be removed: 1
    Number of packages to be installed: 1
    Number of packages to be upgraded: 65
    
    The process will require 2 MiB more space.
    >>> Upgrading pfSense kernel...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    Checking integrity... done (0 conflicting)
    The following 2 package(s) will be affected (of 0 checked):
    
    Installed packages to be UPGRADED:
            pfSense-kernel-pfSense_wrap: 2.3.1_1 -> 2.3.2 [pfSense-core]
            pfSense-rc: 2.3.1_1 -> 2.3.2 [pfSense-core]
    
    Number of packages to be upgraded: 2
    [1/2] Upgrading pfSense-rc from 2.3.1_1 to 2.3.2...
    [1/2] Extracting pfSense-rc-2.3.2: .... done
    [2/2] Upgrading pfSense-kernel-pfSense_wrap from 2.3.1_1 to 2.3.2...
    [2/2] Extracting pfSense-kernel-pfSense_wrap-2.3.2: .......... done
    ===> Keeping a copy of current kernel in /boot/kernel.old
    >>> Upgrading necessary packages...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    Checking for upgrades (63 candidates): .......... done
    Processing candidates (63 candidates): .......... done
    Checking integrity... done (1 conflicting)
      - dnsmasq-2.76,1 [pfSense] conflicts with dnsmasq-devel-2.76.0test12 [installed] on /usr/local/sbin/dnsmasq
    Checking integrity... done (0 conflicting)
    The following 65 package(s) will be affected (of 0 checked):
    
    Installed packages to be REMOVED:
            dnsmasq-devel-2.76.0test12
    
    New packages to be INSTALLED:
            dnsmasq: 2.76,1 [pfSense]
    
    Installed packages to be UPGRADED:
            xinetd: 2.3.15_1 -> 2.3.15_2 [pfSense]
            unbound: 1.5.8 -> 1.5.9 [pfSense]
            strongswan: 5.4.0 -> 5.5.0 [pfSense]
            sqlite3: 3.11.1 -> 3.13.0 [pfSense]
            smartmontools: 6.4_2 -> 6.5_1 [pfSense]
            rrdtool: 1.5.5_1 -> 1.6.0_1 [pfSense]
            relayd: 5.5.20140810_1 -> 5.5.20140810_2 [pfSense]
            python27: 2.7.11_2 -> 2.7.12 [pfSense]
            php56-zlib: 5.6.22 -> 5.6.23 [pfSense]
            php56-xmlwriter: 5.6.22 -> 5.6.23 [pfSense]
            php56-xmlreader: 5.6.22 -> 5.6.23 [pfSense]
            php56-xml: 5.6.22 -> 5.6.23 [pfSense]
            php56-tokenizer: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvshm: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvsem: 5.6.22 -> 5.6.23 [pfSense]
            php56-sysvmsg: 5.6.22 -> 5.6.23 [pfSense]
            php56-sqlite3: 5.6.22 -> 5.6.23 [pfSense]
            php56-sockets: 5.6.22 -> 5.6.23 [pfSense]
            php56-simplexml: 5.6.22 -> 5.6.23 [pfSense]
            php56-shmop: 5.6.22 -> 5.6.23 [pfSense]
            php56-session: 5.6.22 -> 5.6.23 [pfSense]
            php56-readline: 5.6.22 -> 5.6.23 [pfSense]
            php56-posix: 5.6.22 -> 5.6.23 [pfSense]
            php56-pdo_sqlite: 5.6.22 -> 5.6.23 [pfSense]
            php56-pdo: 5.6.22 -> 5.6.23 [pfSense]
            php56-pcntl: 5.6.22 -> 5.6.23 [pfSense]
            php56-openssl: 5.6.22 -> 5.6.23 [pfSense]
            php56-opcache: 5.6.22 -> 5.6.23_1 [pfSense]
            php56-mcrypt: 5.6.22 -> 5.6.23 [pfSense]
            php56-mbstring: 5.6.22 -> 5.6.23 [pfSense]
            php56-ldap: 5.6.22 -> 5.6.23 [pfSense]
            php56-json: 5.6.22 -> 5.6.23 [pfSense]
            php56-hash: 5.6.22 -> 5.6.23 [pfSense]
            php56-gettext: 5.6.22 -> 5.6.23 [pfSense]
            php56-filter: 5.6.22 -> 5.6.23 [pfSense]
            php56-dom: 5.6.22 -> 5.6.23 [pfSense]
            php56-curl: 5.6.22 -> 5.6.23 [pfSense]
            php56-ctype: 5.6.22 -> 5.6.23 [pfSense]
            php56-bz2: 5.6.22 -> 5.6.23 [pfSense]
            php56-bcmath: 5.6.22 -> 5.6.23 [pfSense]
            php56: 5.6.22 -> 5.6.23 [pfSense]
            php-xdebug: 2.2.5 -> 2.4.0 [pfSense]
            pfSense-default-config-serial: 2.3.1_1 -> 2.3.2 [pfSense-core]
            pfSense-base-nanobsd: 2.3.1_1 -> 2.3.2 [pfSense-core]
            pfSense-Status_Monitoring: 1.4.2_1 -> 1.4.4_2 [pfSense]
            pfSense: 2.3.1_1 -> 2.3.2 [pfSense]
            perl5: 5.20.3_12 -> 5.20.3_13 [pfSense]
            pecl-rrd: 1.1.3_2 -> 1.1.3_3 [pfSense]
            pecl-radius: 1.2.7 -> 1.3.0 [pfSense]
            pcre: 8.38_1 -> 8.39 [pfSense]
            nginx: 1.8.1,2 -> 1.10.1,2 [pfSense]
            libssh2: 1.6.0_1,2 -> 1.7.0,2 [pfSense]
            libedit: 3.1.20150325_2 -> 3.1.20150325_2,1 [pfSense]
            isc-dhcp43-server: 4.3.3P1_1 -> 4.3.4 [pfSense]
            isc-dhcp43-relay: 4.3.3P1_1 -> 4.3.4_1 [pfSense]
            isc-dhcp43-client: 4.3.3P1_1 -> 4.3.4 [pfSense]
            ipmitool: 1.8.15_1 -> 1.8.17_1 [pfSense]
            gettext-runtime: 0.19.7 -> 0.19.8.1 [pfSense]
            filterlog: 0.1_2 -> 0.1_4 [pfSense]
            expat: 2.1.1_1 -> 2.1.1_2 [pfSense]
            curl: 7.48.0_1 -> 7.49.1 [pfSense]
            ca_root_nss: 3.22.2 -> 3.25 [pfSense]
            bind-tools: 9.10.3P4 -> 9.10.4P2 [pfSense]
    
    Number of packages to be removed: 1
    Number of packages to be installed: 1
    Number of packages to be upgraded: 63
    
    The process will require 2 MiB more space.
    [1/65] Upgrading gettext-runtime from 0.19.7 to 0.19.8.1...
    [1/65] Extracting gettext-runtime-0.19.8.1: .......... done
    [2/65] Upgrading python27 from 2.7.11_2 to 2.7.12...
    [2/65] Extracting python27-2.7.12: ..Child process pid=7912 terminated abnormally: Killed
    >>> Locking package pfSense-kernel-pfSense_wrap...
    Locking pfSense-kernel-pfSense_wrap-2.3.2
    pkg: open(/bin/sh): No such file or directory
    pkg: open(/bin/sh): No such file or directory
    pkg: Unable to determine ABI
    pkg: Cannot parse configuration file!
    pkg: open(/bin/sh): No such file or directory
    pkg: open(/bin/sh): No such file or directory
    pkg: Unable to determine ABI
    pkg: Cannot parse configuration file!
    
    

Log in to reply